summaryrefslogtreecommitdiffstats
path: root/desktop/nwg-dock
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/nwg-dock')
-rw-r--r--desktop/nwg-dock/README7
-rw-r--r--desktop/nwg-dock/nwg-dock.SlackBuild109
-rw-r--r--desktop/nwg-dock/nwg-dock.info12
-rw-r--r--desktop/nwg-dock/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/desktop/nwg-dock/README b/desktop/nwg-dock/README
new file mode 100644
index 0000000000..4485f6af0e
--- /dev/null
+++ b/desktop/nwg-dock/README
@@ -0,0 +1,7 @@
+nwg-dock (GTK3-based dock for sway)
+
+Fully configurable (w/ command line arguments and css) dock, written
+in Go, aimed exclusively at sway Wayland compositor. It features
+pinned buttons, task buttons, the workspace switcher and the launcher
+button. The latter by default starts nwg-drawer or nwggrid
+(application grid) - if found.
diff --git a/desktop/nwg-dock/nwg-dock.SlackBuild b/desktop/nwg-dock/nwg-dock.SlackBuild
new file mode 100644
index 0000000000..db7ac5bae0
--- /dev/null
+++ b/desktop/nwg-dock/nwg-dock.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Slackware build script for nwg-dock
+
+# Copyright 2023 Jay Lanagan (j@lngn.net), Detroit, MI, USA.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=nwg-dock
+VERSION=${VERSION:-0.3.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.?z || tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+tar xvf $CWD/nwg-dock-vendor-$VERSION.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CGO_CFLAGS="$SLKCFLAGS" \
+CGO_CXXFLAGS="$SLKCFLAGS" \
+go build -mod vendor -o bin/$PRGNAM *.go
+
+install -d $PKG/usr/share/$PRGNAM/images
+install -Dm644 -t $PKG/usr/share/$PRGNAM/images/ $TMP/$PRGNAM-$VERSION/images/*
+install -Dm644 -t $PKG/usr/share/$PRGNAM/ $TMP/$PRGNAM-$VERSION/config/*
+install -Dm755 -t $PKG/usr/bin $TMP/$PRGNAM-$VERSION/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/nwg-dock/nwg-dock.info b/desktop/nwg-dock/nwg-dock.info
new file mode 100644
index 0000000000..24f6070675
--- /dev/null
+++ b/desktop/nwg-dock/nwg-dock.info
@@ -0,0 +1,12 @@
+PRGNAM="nwg-dock"
+VERSION="0.3.9"
+HOMEPAGE="https://github.com/nwg-piotr/nwg-dock/"
+DOWNLOAD="https://github.com/nwg-piotr/nwg-dock/archive/v0.3.9/nwg-dock-0.3.9.tar.gz \
+ https://slackware.lngn.net/pub/source/nwg-dock/nwg-dock-vendor-0.3.9.tar.gz"
+MD5SUM="c395207c526b2a85425325d7946f0c94 \
+ a7e4ff6b017b5fb69bf37b2858207cd9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="nwg-drawer"
+MAINTAINER="Jay Lanagan"
+EMAIL="j@lngn.net"
diff --git a/desktop/nwg-dock/slack-desc b/desktop/nwg-dock/slack-desc
new file mode 100644
index 0000000000..6f22759b32
--- /dev/null
+++ b/desktop/nwg-dock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'
+
+ |-----handy-ruler------------------------------------------------------|
+nwg-dock: nwg-dock (GTK3-based dock for sway)
+nwg-dock:
+nwg-dock: Fully configurable (w/ command line arguments and css) dock, written
+nwg-dock: in Go, aimed exclusively at sway Wayland compositor. It features
+nwg-dock: pinned buttons, task buttons, the workspace switcher and the launcher
+nwg-dock: button. The latter by default starts nwg-drawer or nwggrid
+nwg-dock: (application grid) - if found.
+nwg-dock:
+nwg-dock: Homepage: https://github.com/nwg-piotr/nwg-dock
+nwg-dock:
+nwg-dock: